### Method

# GLib VariantDict clear

since: 2.40

#### Declaration [src]

    void
    g_variant_dict_clear (
      GVariantDict* dict
    )

#### Description [src]

Releases all memory associated with a `GVariantDict` without freeing the `GVariantDict` structure itself.

It typically only makes sense to do this on a stack-allocated `GVariantDict` if you want to abort building the value part-way through. This function need not be called if you call `g_variant_dict_end()` and it also doesn’t need to be called on dicts allocated with g_variant_dict_new (see `g_variant_dict_unref()` for that).

It is valid to call this function on either an initialised `GVariantDict` or one that was previously cleared by an earlier call to `g_variant_dict_clear()` but it is not valid to call this function on uninitialised memory.

Available since: 2.40